@charset "UTF-8";
/*
<div id="back-to-top"><a href="#"></a></div>
*/

/* フッター｜共通｜トップへ戻るボタン（トリガー） */
#back-to-top {
  opacity: 0;
  pointer-events: none;
  transition: all 0.5s;
}
#back-to-top.trigger {
  opacity: 1.0;
  pointer-events: auto;
  transition: all 0.5s;
}

/* フッター｜共通｜トップへ戻るボタン（デザイン・体裁） */
#back-to-top {
  position: fixed;
  right: 1.0em;
  bottom: 3.0em;
  width: 3.5em;
  height: 3.5em;
  border-radius: 0;
  overflow: hidden;
  /*z-index: 500000;*/
  z-index: 9999;
}
#back-to-top a {
  display: block;
  position: relative;
  width: 100%;
  padding: 0;
  padding-top: 100%;
  background-color: var(--color-univ-yellow);
  border-radius: 50%;
  transition: all 0.15s;
}
@media (hover: hover) and (pointer: fine) {
  #back-to-top a:hover {
    background-color: var(--color-univ-white);
  }
}
#back-to-top a::after {
  display: block;
  position: absolute;
  top: 55%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  width: 30%;
  height: 30%;
  border: none;
  border-top: 1.5px solid var(--color-univ-brown);
  border-left: 1.5px solid var(--color-univ-brown);
  content: '';
  transition: all 0.3s;
}
/*
#back-to-top a::after {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  object-fit: contain;
  content: url('../../images/ico-top_nega.svg');
  content: url('<?php echo get_template_directory_uri(); ?>/images/ico-top_nega.svg');}
*/
@media (hover: hover) and (pointer: fine) {
  #back-to-top a:hover::after {
    top: 50%;
  }
}

@media screen and (max-width: 1023px) {}
@media screen and (max-width: 767px) {
  #back-to-top {
    right: 1.0em;
    /*bottom: 3.0em;*/
    bottom: 1.5em;
    width: 4.0em;
    height: 4.0em;
  }
}
@media screen and (max-width: 567px) {}